<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="a9c448ac-d772-4746-916f-923fb3063966" name="Default Changelist" comment="1、新增降噪日志数据健康监测告警&#10;2、IP联动封禁功能完善">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/logs/syslog-client.2025-12-01.log" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/logs/syslog-client.log" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/logs/syslog-consumer-rule.2026-05-18.log" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/logs/syslog-consumer-rule.log" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/logs/syslog-consumer.2026-05-18.log" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/logs/syslog-consumer.log" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/logs/syslog-serve.log" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/syslog-client/logs/syslog-client.2025-12-17.log" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/syslog-client/logs/syslog-client.2025-12-22.log" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/syslog-client/logs/syslog-client.2025-12-29.log" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/syslog-client/logs/syslog-client.2026-04-30.log" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/syslog-client/logs/syslog-client.log" beforeDir="false" afterPath="$PROJECT_DIR$/syslog-client/logs/syslog-client.log" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/syslog-consumer/docker-compose/docker-compose-consumer-prod.yaml" beforeDir="false" afterPath="$PROJECT_DIR$/syslog-consumer/docker-compose/docker-compose-consumer-prod.yaml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/impl/OfflineAnalysisEngine.java" beforeDir="false" afterPath="$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/impl/OfflineAnalysisEngine.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/impl/RealtimeAnalysisEngine.java" beforeDir="false" afterPath="$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/impl/RealtimeAnalysisEngine.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/impl/RealtimeAnalysisEngineDm.java" beforeDir="false" afterPath="$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/impl/RealtimeAnalysisEngineDm.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/syslog-consumer/src/main/resources/application-prod.properties" beforeDir="false" afterPath="$PROJECT_DIR$/syslog-consumer/src/main/resources/application-prod.properties" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/syslog-consumer/src/main/resources/application.properties" beforeDir="false" afterPath="$PROJECT_DIR$/syslog-consumer/src/main/resources/application.properties" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/syslog-serve/docker-compose/docker-compose-serve-prod.yaml" beforeDir="false" afterPath="$PROJECT_DIR$/syslog-serve/docker-compose/docker-compose-serve-prod.yaml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/syslog-serve/src/main/resources/application-prod.properties" beforeDir="false" afterPath="$PROJECT_DIR$/syslog-serve/src/main/resources/application-prod.properties" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../haobang-security-xdr/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/../haobang-security-xdr/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../haobang-security-xdr/syslog-client/logs/syslog-client.log" beforeDir="false" afterPath="$PROJECT_DIR$/../haobang-security-xdr/syslog-client/logs/syslog-client.log" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../haobang-security-xdr/syslog-consumer/src/main/java/com/common/service/AlarmHealthCheckService.java" beforeDir="false" afterPath="$PROJECT_DIR$/../haobang-security-xdr/syslog-consumer/src/main/java/com/common/service/AlarmHealthCheckService.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../haobang-security-xdr/syslog-consumer/src/main/resources/application.properties" beforeDir="false" afterPath="$PROJECT_DIR$/../haobang-security-xdr/syslog-consumer/src/main/resources/application.properties" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../haobang-security-xdr/syslog-serve/src/main/resources/application.properties" beforeDir="false" afterPath="$PROJECT_DIR$/../haobang-security-xdr/syslog-serve/src/main/resources/application.properties" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/syslog-serve/target/" />
    <ignored path="$PROJECT_DIR$/syslog-client/target/" />
    <ignored path="$PROJECT_DIR$/syslog-consumer/target/" />
    <ignored path="$PROJECT_DIR$/target/" />
    <ignored path="$PROJECT_DIR$/syslog-consumer-rule/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="CoverageDataManager">
    <SUITE FILE_PATH="coverage/security_xdr$SyslogServeMainApp.ic" NAME="SyslogServeMainApp Coverage Results" MODIFIED="1768201656945" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="idea" COVERAGE_BY_TEST_ENABLED="false" COVERAGE_TRACING_ENABLED="false" />
  </component>
  <component name="DatabaseView">
    <option name="SHOW_INTERMEDIATE" value="true" />
    <option name="GROUP_DATA_SOURCES" value="true" />
    <option name="GROUP_SCHEMA" value="true" />
    <option name="GROUP_CONTENTS" value="false" />
    <option name="SORT_POSITIONED" value="false" />
    <option name="SHOW_EMPTY_GROUPS" value="false" />
    <option name="AUTO_SCROLL_FROM_SOURCE" value="false" />
    <option name="HIDDEN_KINDS">
      <set />
    </option>
    <expand />
    <select />
  </component>
  <component name="FUSProjectUsageTrigger">
    <session id="1468926609">
      <usages-collector id="statistics.lifecycle.project">
        <counts>
          <entry key="project.closed" value="82" />
          <entry key="project.open.time.10" value="2" />
          <entry key="project.open.time.11" value="3" />
          <entry key="project.open.time.12" value="4" />
          <entry key="project.open.time.13" value="13" />
          <entry key="project.open.time.14" value="11" />
          <entry key="project.open.time.15" value="10" />
          <entry key="project.open.time.16" value="6" />
          <entry key="project.open.time.17" value="9" />
          <entry key="project.open.time.18" value="5" />
          <entry key="project.open.time.19" value="5" />
          <entry key="project.open.time.20" value="11" />
          <entry key="project.open.time.21" value="5" />
          <entry key="project.open.time.22" value="3" />
          <entry key="project.open.time.23" value="3" />
          <entry key="project.open.time.3" value="2" />
          <entry key="project.opened" value="92" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.open">
        <counts>
          <entry key="Dockerfile" value="6" />
          <entry key="class" value="26" />
          <entry key="iml" value="3" />
          <entry key="java" value="1017" />
          <entry key="log" value="7" />
          <entry key="md" value="11" />
          <entry key="pom" value="1" />
          <entry key="properties" value="200" />
          <entry key="sh" value="1" />
          <entry key="txt" value="45" />
          <entry key="xml" value="108" />
          <entry key="yaml" value="18" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.open">
        <counts>
          <entry key="CLASS" value="26" />
          <entry key="IDEA_MODULE" value="3" />
          <entry key="JAVA" value="1017" />
          <entry key="Markdown" value="11" />
          <entry key="PLAIN_TEXT" value="59" />
          <entry key="Properties" value="200" />
          <entry key="XML" value="109" />
          <entry key="YAML" value="18" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.edit">
        <counts>
          <entry key="Dockerfile" value="16" />
          <entry key="java" value="4045" />
          <entry key="properties" value="680" />
          <entry key="txt" value="209" />
          <entry key="xml" value="284" />
          <entry key="yaml" value="213" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.edit">
        <counts>
          <entry key="JAVA" value="4045" />
          <entry key="PLAIN_TEXT" value="225" />
          <entry key="Properties" value="680" />
          <entry key="SQL" value="1" />
          <entry key="XML" value="283" />
          <entry key="YAML" value="213" />
        </counts>
      </usages-collector>
    </session>
    <session id="-66873345">
      <usages-collector id="statistics.lifecycle.project">
        <counts>
          <entry key="project.closed" value="6" />
          <entry key="project.open.time.16" value="2" />
          <entry key="project.open.time.17" value="1" />
          <entry key="project.open.time.18" value="1" />
          <entry key="project.open.time.19" value="1" />
          <entry key="project.open.time.20" value="1" />
          <entry key="project.open.time.25" value="1" />
          <entry key="project.open.time.27" value="1" />
          <entry key="project.open.time.3" value="1" />
          <entry key="project.opened" value="9" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.open">
        <counts>
          <entry key="Dockerfile" value="4" />
          <entry key="class" value="6" />
          <entry key="java" value="76" />
          <entry key="log" value="2" />
          <entry key="properties" value="68" />
          <entry key="txt" value="8" />
          <entry key="xml" value="20" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.open">
        <counts>
          <entry key="CLASS" value="6" />
          <entry key="JAVA" value="76" />
          <entry key="PLAIN_TEXT" value="14" />
          <entry key="Properties" value="68" />
          <entry key="XML" value="20" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.edit">
        <counts>
          <entry key="java" value="304" />
          <entry key="properties" value="339" />
          <entry key="txt" value="102" />
          <entry key="xml" value="32" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.edit">
        <counts>
          <entry key="JAVA" value="304" />
          <entry key="PLAIN_TEXT" value="102" />
          <entry key="Properties" value="339" />
          <entry key="SQL" value="10" />
          <entry key="XML" value="22" />
        </counts>
      </usages-collector>
    </session>
    <session id="-807770361">
      <usages-collector id="statistics.lifecycle.project">
        <counts>
          <entry key="project.closed" value="29" />
          <entry key="project.open.time.1" value="1" />
          <entry key="project.open.time.10" value="1" />
          <entry key="project.open.time.12" value="1" />
          <entry key="project.open.time.13" value="1" />
          <entry key="project.open.time.14" value="3" />
          <entry key="project.open.time.15" value="5" />
          <entry key="project.open.time.16" value="4" />
          <entry key="project.open.time.17" value="2" />
          <entry key="project.open.time.18" value="2" />
          <entry key="project.open.time.19" value="1" />
          <entry key="project.open.time.20" value="1" />
          <entry key="project.open.time.21" value="1" />
          <entry key="project.open.time.22" value="2" />
          <entry key="project.open.time.23" value="1" />
          <entry key="project.open.time.3" value="1" />
          <entry key="project.open.time.32" value="1" />
          <entry key="project.open.time.38" value="1" />
          <entry key="project.open.time.4" value="3" />
          <entry key="project.open.time.5" value="3" />
          <entry key="project.open.time.6" value="1" />
          <entry key="project.opened" value="36" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.open">
        <counts>
          <entry key="class" value="3" />
          <entry key="iml" value="5" />
          <entry key="java" value="92" />
          <entry key="properties" value="74" />
          <entry key="txt" value="3" />
          <entry key="xml" value="22" />
          <entry key="yaml" value="42" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.open">
        <counts>
          <entry key="CLASS" value="3" />
          <entry key="IDEA_MODULE" value="5" />
          <entry key="JAVA" value="92" />
          <entry key="PLAIN_TEXT" value="3" />
          <entry key="Properties" value="74" />
          <entry key="XML" value="22" />
          <entry key="YAML" value="42" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.edit">
        <counts>
          <entry key="java" value="111" />
          <entry key="properties" value="83" />
          <entry key="xml" value="28" />
          <entry key="yaml" value="265" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.edit">
        <counts>
          <entry key="JAVA" value="111" />
          <entry key="Properties" value="83" />
          <entry key="SQL" value="1" />
          <entry key="XML" value="27" />
          <entry key="YAML" value="265" />
        </counts>
      </usages-collector>
    </session>
  </component>
  <component name="FavoritesManager">
    <favorites_list name="security-xdr" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/resources/application.properties">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="413">
              <caret line="146" lean-forward="true" selection-start-line="146" selection-end-line="146" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/impl/RuleExecutionTimeServiceImpl.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="572">
              <caret line="38" column="24" selection-start-line="38" selection-start-column="24" selection-end-line="38" selection-end-column="24" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/impl/RealtimeAnalysisEngine.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="406">
              <caret line="178" column="47" lean-forward="true" selection-start-line="178" selection-start-column="47" selection-end-line="178" selection-end-column="47" />
              <folding>
                <element signature="e#9930#9931#0" expanded="true" />
                <element signature="e#9961#9962#0" expanded="true" />
                <element signature="e#27830#27860#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/resources/application-prod.properties">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="594">
              <caret line="42" column="53" selection-start-line="42" selection-start-column="53" selection-end-line="42" selection-end-column="53" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/impl/OfflineAnalysisEngine.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="181">
              <caret line="20" column="13" selection-start-line="20" selection-start-column="13" selection-end-line="20" selection-end-column="13" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/syslog-serve/src/main/resources/application-dev.properties">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="946">
              <caret line="43" column="43" selection-start-line="43" selection-start-column="27" selection-end-line="43" selection-end-column="43" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/syslog-consumer-rule/docker-compose/docker-compose-consumer-rule-prod.yaml">
          <provider selected="true" editor-type-id="text-editor" />
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/syslog-consumer/docker-compose/docker-compose-consumer.yaml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="836">
              <caret line="38" column="30" selection-start-line="38" selection-start-column="30" selection-end-line="38" selection-end-column="30" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/AccessLogAlertService.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="9086">
              <caret line="444" column="43" selection-start-line="444" selection-start-column="43" selection-end-line="444" selection-end-column="43" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/syslog-serve/src/main/resources/application-prod.properties">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="506">
              <caret line="23" column="7" selection-start-line="23" selection-start-column="7" selection-end-line="23" selection-end-column="7" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>tenant_id</find>
      <find>syslog-consumer</find>
      <find>@Scheduled</find>
      <find>配置 Elasticsearch</find>
      <find>dameng</find>
      <find>spring.jackson.serialization.fail-on-self-references=false</find>
      <find>处理初始化异常</find>
      <find>getCropperParams</find>
      <find>ARRAY_AGG</find>
      <find>JSONB_AGG</find>
      <find>AS window_time</find>
      <find>tumble_start</find>
      <find>hop_start</find>
      <find>session</find>
      <find>toString</find>
      <find>补充原始记录日志字段异</find>
      <find>补充原始记录日志字段异常</find>
      <find>processAlgorithm</find>
      <find>spring.datasource.hikari.auto-commit</find>
      <find>LISTENER</find>
      <find>COMMIT</find>
      <find>parseDateTime</find>
      <find>properties</find>
      <find>containerFactory</find>
      <find>topic</find>
      <find>org.springframework.kafka</find>
      <find>syslog.charset</find>
      <find>init</find>
      <find>findRequiredFieldsAfterTime</find>
      <find>KafkaConsumerProperties</find>
    </findStrings>
    <replaceStrings>
      <replace>com.common.</replace>
    </replaceStrings>
    <dirStrings>
      <dir>E:\GIT_GOSAME\ai-security-xdr\haobang-security-xdr\syslog-consumer-rule</dir>
    </dirStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$/.." />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/syslog-consumer-rule/docker-compose/docker-compose-consumer.yaml" />
        <option value="$PROJECT_DIR$/syslog-consumer-rule/src/main/resources/application-dev.properties" />
        <option value="$PROJECT_DIR$/syslog-consumer-rule/src/main/resources/application-prod-zc.properties" />
        <option value="$PROJECT_DIR$/syslog-consumer-rule/src/main/resources/application-test.properties" />
        <option value="$PROJECT_DIR$/syslog-consumer/src/main/resources/application-pre-nw.properties" />
        <option value="$PROJECT_DIR$/syslog-consumer/src/main/resources/application-test.properties" />
        <option value="$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/mapper/DeviceCollectTaskMapper.java" />
        <option value="$PROJECT_DIR$/syslog-consumer/src/main/resources/application-prod-zc.properties" />
        <option value="$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/AlarmHealthCheckService.java" />
        <option value="$PROJECT_DIR$/syslog-serve/src/main/java/com/haobang/interlocking/InterlockingService.java" />
        <option value="$PROJECT_DIR$/syslog-consumer/src/main/java/com/Modules/NormalData/LogNormalProcessor.java" />
        <option value="$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/impl/SqlGeneratorServiceImpl.java" />
        <option value="$PROJECT_DIR$/syslog-serve/src/main/java/com/config/CacheConfig.java" />
        <option value="$PROJECT_DIR$/syslog-consumer-rule/src/main/resources/mapper/SyslogNormalDataMapper.xml" />
        <option value="$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/PartitionTableService.java" />
        <option value="$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/schedule/PartitionTableSchedule.java" />
        <option value="$PROJECT_DIR$/syslog-serve/src/main/resources/application-test.properties" />
        <option value="$PROJECT_DIR$/syslog-serve/docker_run.txt" />
        <option value="$PROJECT_DIR$/syslog-consumer/src/main/resources/application-prod.properties" />
        <option value="$PROJECT_DIR$/syslog-consumer/docker_run.txt" />
        <option value="$PROJECT_DIR$/syslog-consumer-rule/src/main/resources/application-pre-nw.properties" />
        <option value="$PROJECT_DIR$/syslog-consumer-rule/docker_run.txt" />
        <option value="$PROJECT_DIR$/syslog-serve/src/main/resources/logback.xml" />
        <option value="$PROJECT_DIR$/syslog-consumer-rule/src/main/resources/logback.xml" />
        <option value="$PROJECT_DIR$/syslog-consumer/src/main/resources/logback.xml" />
        <option value="$PROJECT_DIR$/pom.xml" />
        <option value="$PROJECT_DIR$/syslog-consumer-rule/docker-compose/docker-compose-consumer-prod.yaml" />
        <option value="$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/impl/DeviceReceiveLogServiceImpl.java" />
        <option value="$PROJECT_DIR$/syslog-consumer-rule/src/main/java/com/Modules/NormalData/SysLogProcessor.java" />
        <option value="$PROJECT_DIR$/syslog-consumer-rule/docker-compose/docker-compose-consumer-rule-prod.yaml" />
        <option value="$PROJECT_DIR$/syslog-serve/src/main/java/com/kafka/kafkaProducer.java" />
        <option value="$PROJECT_DIR$/syslog-consumer-rule/src/main/resources/application-prod.properties" />
        <option value="$PROJECT_DIR$/syslog-serve/src/main/resources/application-prod-zc.properties" />
        <option value="$PROJECT_DIR$/syslog-consumer-rule/src/main/resources/application.properties" />
        <option value="$PROJECT_DIR$/syslog-consumer/pom.xml" />
        <option value="$PROJECT_DIR$/syslog-consumer-rule/pom.xml" />
        <option value="$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/mapper/SyslogNormalDataMapper.java" />
        <option value="$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/AccessLogAlertService.java" />
        <option value="$PROJECT_DIR$/syslog-consumer/src/main/resources/application-dev.properties" />
        <option value="$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/schedule/ScheduledTask.java" />
        <option value="$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/schedule/ETLOrchestrator.java" />
        <option value="$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/entity/AlarmVisitProcesslog.java" />
        <option value="$PROJECT_DIR$/syslog-serve/src/main/resources/application-dev.properties" />
        <option value="$PROJECT_DIR$/syslog-consumer/src/main/resources/mapper/SyslogNormalDataMapper.xml" />
        <option value="$PROJECT_DIR$/syslog-consumer/docker-compose/docker-compose-consumer-prod.yaml" />
        <option value="$PROJECT_DIR$/syslog-consumer/docker-compose/docker-compose-consumer-nw.yaml" />
        <option value="$PROJECT_DIR$/syslog-consumer/docker-compose/docker-compose-consumer.yaml" />
        <option value="$PROJECT_DIR$/syslog-serve/docker-compose/docker-compose-serve-prod.yaml" />
        <option value="$PROJECT_DIR$/syslog-serve/src/main/resources/application.properties" />
        <option value="$PROJECT_DIR$/syslog-serve/src/main/resources/application-prod.properties" />
        <option value="$PROJECT_DIR$/syslog-consumer/src/main/resources/application.properties" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="MavenImportPreferences">
    <option name="importingSettings">
      <MavenImportingSettings>
        <option name="importAutomatically" value="true" />
      </MavenImportingSettings>
    </option>
  </component>
  <component name="MavenProjectNavigator">
    <treeState>
      <expand>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="Profiles" type="6783ec58:MavenProjectsStructure$ProfilesNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="security-xdr" type="9519ce18:MavenProjectsStructure$ProjectNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="security-xdr" type="9519ce18:MavenProjectsStructure$ProjectNode" />
          <item name="Lifecycle" type="58874e2:MavenProjectsStructure$LifecycleNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="security-xdr" type="9519ce18:MavenProjectsStructure$ProjectNode" />
          <item name="Plugins" type="7aea1407:MavenProjectsStructure$PluginsNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="syslog-consumer" type="9519ce18:MavenProjectsStructure$ProjectNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="syslog-consumer" type="9519ce18:MavenProjectsStructure$ProjectNode" />
          <item name="Lifecycle" type="58874e2:MavenProjectsStructure$LifecycleNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="syslog-serve" type="9519ce18:MavenProjectsStructure$ProjectNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="syslog-serve" type="9519ce18:MavenProjectsStructure$ProjectNode" />
          <item name="Lifecycle" type="58874e2:MavenProjectsStructure$LifecycleNode" />
        </path>
      </expand>
      <select />
    </treeState>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="-8" />
    <option name="y" value="-8" />
    <option name="width" value="1936" />
    <option name="height" value="1048" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-dm" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-dm" type="462c0819:PsiDirectoryNode" />
              <item name=".idea" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-dm" type="462c0819:PsiDirectoryNode" />
              <item name="syslog-consumer" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-dm" type="462c0819:PsiDirectoryNode" />
              <item name="syslog-consumer" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-dm" type="462c0819:PsiDirectoryNode" />
              <item name="syslog-consumer" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-dm" type="462c0819:PsiDirectoryNode" />
              <item name="syslog-consumer" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-dm" type="462c0819:PsiDirectoryNode" />
              <item name="syslog-consumer" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-dm" type="462c0819:PsiDirectoryNode" />
              <item name="syslog-consumer" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="common" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-dm" type="462c0819:PsiDirectoryNode" />
              <item name="syslog-consumer" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="common" type="462c0819:PsiDirectoryNode" />
              <item name="service" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-dm" type="462c0819:PsiDirectoryNode" />
              <item name="syslog-consumer" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="common" type="462c0819:PsiDirectoryNode" />
              <item name="service" type="462c0819:PsiDirectoryNode" />
              <item name="impl" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-dm" type="462c0819:PsiDirectoryNode" />
              <item name="syslog-consumer" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="kafka" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-dm" type="462c0819:PsiDirectoryNode" />
              <item name="syslog-consumer" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-dm" type="462c0819:PsiDirectoryNode" />
              <item name="syslog-serve" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-dm" type="462c0819:PsiDirectoryNode" />
              <item name="syslog-serve" type="462c0819:PsiDirectoryNode" />
              <item name="docker-compose" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-dm" type="462c0819:PsiDirectoryNode" />
              <item name="syslog-serve" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-dm" type="462c0819:PsiDirectoryNode" />
              <item name="syslog-serve" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-dm" type="462c0819:PsiDirectoryNode" />
              <item name="syslog-serve" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-dm" type="462c0819:PsiDirectoryNode" />
              <item name="syslog-serve" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-dm" type="462c0819:PsiDirectoryNode" />
              <item name="syslog-serve" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="common" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-dm" type="462c0819:PsiDirectoryNode" />
              <item name="syslog-serve" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="common" type="462c0819:PsiDirectoryNode" />
              <item name="controller" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-dm" type="462c0819:PsiDirectoryNode" />
              <item name="syslog-serve" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="common" type="462c0819:PsiDirectoryNode" />
              <item name="service" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-dm" type="462c0819:PsiDirectoryNode" />
              <item name="syslog-serve" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="haobang" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-dm" type="462c0819:PsiDirectoryNode" />
              <item name="syslog-serve" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="haobang" type="462c0819:PsiDirectoryNode" />
              <item name="interlocking" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-dm" type="462c0819:PsiDirectoryNode" />
              <item name="syslog-serve" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="Modules" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-dm" type="462c0819:PsiDirectoryNode" />
              <item name="syslog-serve" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="Modules" type="462c0819:PsiDirectoryNode" />
              <item name="Device" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="haobang-security-dm" type="462c0819:PsiDirectoryNode" />
              <item name="syslog-serve" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="security-xdr" type="b2602c69:ProjectViewProjectNode" />
              <item name="Scratches and Consoles" type="1a2a3e82:ScratchProjectViewPane$MyProjectNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="PackagesPane" />
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="RequestMappingsPanelOrder0" value="0" />
    <property name="RequestMappingsPanelOrder1" value="1" />
    <property name="RequestMappingsPanelWidth0" value="75" />
    <property name="RequestMappingsPanelWidth1" value="75" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="com.android.tools.idea.instantapp.provision.ProvisionBeforeRunTaskProvider.myTimeStamp" value="1785124069216" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="settings.editor.selected.configurable" value="preferences.pluginManager" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="E:\GIT_GOSAME\ai-security-xdr\haobang-security-dm\syslog-consumer-rule\docker-compose" />
      <recent name="E:\GIT_GOSAME\ai-security-xdr\haobang-security-xdr\syslog-consumer\src\main\resources" />
      <recent name="E:\GIT_GOSAME\ai-security-xdr\haobang-security-xdr\syslog-consumer\docker-compose" />
      <recent name="E:\GIT_GOSAME\ai-security-xdr\haobang-security-xdr\syslog-serve" />
      <recent name="E:\GIT_GOSAME\ai-security-xdr\haobang-security-xdr\syslog-consumer" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="E:\GIT_GOSAME\ai-security-xdr\haobang-security-xdr\syslog-consumer\docker-compose" />
      <recent name="E:\GIT_GOSAME\ai-security-xdr\haobang-security-xdr\syslog-serve\docker-compose" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Spring Boot.SyslogServeMainApp">
    <configuration name="DMTDMTest" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.Modules.DMTDMTest" />
      <module name="syslog-consumer" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.Modules.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Sm4Util" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.haobang.util.Sm4Util" />
      <module name="syslog-serve" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.haobang.util.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TimeConversionUtils" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.common.util.TimeConversionUtils" />
      <module name="syslog-consumer" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.common.util.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="DeviceDeviceTest" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="syslog-serve" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.haobang.syslog.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.haobang.syslog" />
      <option name="MAIN_CLASS_NAME" value="com.haobang.syslog.DeviceDeviceTest" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="SyslogServeMainApp" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="syslog-serve" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.SyslogServeMainApp" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="syslogApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="syslog-consumer" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.syslogApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="syslogClientApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="syslog-client" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.haobang.syslog.syslogClientApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="syslogRuleApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot" temporary="true" nameIsGenerated="true">
      <module name="syslog-consumer-rule" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.syslogRuleApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="Spring Boot.SyslogServeMainApp" />
      <item itemvalue="Spring Boot.syslogClientApplication" />
      <item itemvalue="Spring Boot.syslogApplication" />
      <item itemvalue="Application.TimeConversionUtils" />
      <item itemvalue="Application.DMTDMTest" />
      <item itemvalue="Application.Sm4Util" />
      <item itemvalue="Spring Boot.syslogRuleApplication" />
      <item itemvalue="JUnit.DeviceDeviceTest" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="Spring Boot.syslogRuleApplication" />
        <item itemvalue="JUnit.DeviceDeviceTest" />
        <item itemvalue="Application.Sm4Util" />
        <item itemvalue="Application.DMTDMTest" />
        <item itemvalue="Application.TimeConversionUtils" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="a9c448ac-d772-4746-916f-923fb3063966" name="Default Changelist" comment="" />
      <created>1768118325802</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1768118325802</updated>
      <workItem from="1768118329151" duration="810000" />
      <workItem from="1768142696634" duration="3988000" />
      <workItem from="1768198444069" duration="9939000" />
      <workItem from="1768273986907" duration="13969000" />
      <workItem from="1768361619643" duration="1815000" />
      <workItem from="1768376929403" duration="10827000" />
      <workItem from="1768445571813" duration="2729000" />
      <workItem from="1768544038509" duration="8201000" />
      <workItem from="1768632360258" duration="464000" />
      <workItem from="1768792006589" duration="4276000" />
      <workItem from="1768901890292" duration="4536000" />
      <workItem from="1768981043933" duration="4227000" />
      <workItem from="1769052454811" duration="1239000" />
      <workItem from="1769135411039" duration="7748000" />
      <workItem from="1769269442182" duration="7997000" />
      <workItem from="1769396116771" duration="10584000" />
      <workItem from="1769445154428" duration="3958000" />
      <workItem from="1769479723481" duration="18903000" />
      <workItem from="1769528221510" duration="2411000" />
      <workItem from="1769566205458" duration="23288000" />
      <workItem from="1769740143137" duration="16909000" />
      <workItem from="1769996699796" duration="15922000" />
      <workItem from="1770085747648" duration="8547000" />
      <workItem from="1770113131120" duration="4869000" />
      <workItem from="1770170971657" duration="14325000" />
      <workItem from="1770272510946" duration="14706000" />
      <workItem from="1770307693578" duration="1936000" />
      <workItem from="1770346014084" duration="10706000" />
      <workItem from="1770425833627" duration="8932000" />
      <workItem from="1770619327412" duration="11000000" />
      <workItem from="1770690158012" duration="8707000" />
      <workItem from="1771990995871" duration="11190000" />
      <workItem from="1772101649117" duration="804000" />
      <workItem from="1772189726287" duration="1713000" />
      <workItem from="1772270365962" duration="10566000" />
      <workItem from="1772420368452" duration="4343000" />
      <workItem from="1772508402828" duration="15087000" />
      <workItem from="1772595235069" duration="16965000" />
      <workItem from="1772683050510" duration="12714000" />
      <workItem from="1773048152948" duration="5680000" />
      <workItem from="1773196378176" duration="3616000" />
      <workItem from="1773466184845" duration="2835000" />
      <workItem from="1773717022475" duration="3810000" />
      <workItem from="1773804602341" duration="3255000" />
      <workItem from="1773902608862" duration="4282000" />
      <workItem from="1773990635214" duration="162000" />
      <workItem from="1774253257141" duration="1618000" />
      <workItem from="1774319208130" duration="9532000" />
      <workItem from="1774407573208" duration="815000" />
      <workItem from="1774506420313" duration="8312000" />
      <workItem from="1774596055333" duration="6916000" />
      <workItem from="1774839767972" duration="6483000" />
      <workItem from="1775099973256" duration="7820000" />
      <workItem from="1775181709910" duration="10976000" />
      <workItem from="1775549919701" duration="929000" />
      <workItem from="1775629090366" duration="8879000" />
      <workItem from="1775702221598" duration="8500000" />
      <workItem from="1775923879422" duration="3581000" />
      <workItem from="1776053051935" duration="6784000" />
      <workItem from="1776233614850" duration="8541000" />
      <workItem from="1776320126639" duration="5518000" />
      <workItem from="1776342494230" duration="607000" />
      <workItem from="1776413592147" duration="6417000" />
      <workItem from="1776676778187" duration="905000" />
      <workItem from="1776927336980" duration="9502000" />
      <workItem from="1777022546053" duration="1954000" />
      <workItem from="1777082627116" duration="413000" />
      <workItem from="1777085477098" duration="12029000" />
      <workItem from="1777273802150" duration="4655000" />
      <workItem from="1777342961246" duration="15521000" />
      <workItem from="1777385318734" duration="610000" />
      <workItem from="1777445952141" duration="10813000" />
      <workItem from="1777511852960" duration="7975000" />
      <workItem from="1777534126277" duration="1980000" />
      <workItem from="1777536917796" duration="5860000" />
      <workItem from="1777573082460" duration="1289000" />
      <workItem from="1777650251097" duration="6427000" />
      <workItem from="1777676131204" duration="1848000" />
      <workItem from="1777861809772" duration="11098000" />
      <workItem from="1778054060587" duration="8245000" />
      <workItem from="1778121264368" duration="9831000" />
      <workItem from="1778151268925" duration="1676000" />
      <workItem from="1778211403329" duration="12310000" />
      <workItem from="1778292702999" duration="11448000" />
      <workItem from="1778480968012" duration="1557000" />
      <workItem from="1778567993244" duration="9918000" />
      <workItem from="1778639834446" duration="2554000" />
      <workItem from="1778663613246" duration="2168000" />
      <workItem from="1778715971377" duration="13019000" />
      <workItem from="1778745836380" duration="4719000" />
      <workItem from="1779076362274" duration="9060000" />
      <workItem from="1779160268635" duration="16314000" />
      <workItem from="1779453968918" duration="14206000" />
      <workItem from="1779606570099" duration="11653000" />
      <workItem from="1779618867518" duration="16174000" />
      <workItem from="1779680522419" duration="3461000" />
      <workItem from="1779781768740" duration="10713000" />
      <workItem from="1779794458677" duration="7657000" />
      <workItem from="1779851869490" duration="18915000" />
      <workItem from="1779934243581" duration="4699000" />
      <workItem from="1779950952327" duration="250000" />
      <workItem from="1779952842846" duration="3094000" />
      <workItem from="1780027777799" duration="15578000" />
      <workItem from="1780305345525" duration="1844000" />
      <workItem from="1780366537395" duration="12636000" />
      <workItem from="1780477172723" duration="2294000" />
      <workItem from="1780502375750" duration="9611000" />
      <workItem from="1780541602341" duration="1117000" />
      <workItem from="1780554773758" duration="9387000" />
      <workItem from="1780626477044" duration="789000" />
      <workItem from="1780644640619" duration="74000" />
      <workItem from="1780648832029" duration="1836000" />
      <workItem from="1780889540589" duration="13196000" />
      <workItem from="1780986999593" duration="2543000" />
      <workItem from="1781005022035" duration="34000" />
      <workItem from="1781159749353" duration="910000" />
      <workItem from="1781236712841" duration="494000" />
      <workItem from="1782786329370" duration="6649000" />
      <workItem from="1782896856372" duration="4066000" />
      <workItem from="1783061175113" duration="4946000" />
      <workItem from="1783507176278" duration="4164000" />
      <workItem from="1783584584331" duration="4340000" />
      <workItem from="1783672203127" duration="1523000" />
      <workItem from="1783758514813" duration="6343000" />
      <workItem from="1783862413190" duration="874000" />
      <workItem from="1783929339479" duration="2186000" />
      <workItem from="1783996559474" duration="1640000" />
      <workItem from="1784009878810" duration="756000" />
      <workItem from="1784098933694" duration="1292000" />
      <workItem from="1784713006111" duration="199000" />
      <workItem from="1784716332411" duration="2291000" />
      <workItem from="1784816089162" duration="1542000" />
      <workItem from="1784968187519" duration="1693000" />
      <workItem from="1784997075233" duration="780000" />
      <workItem from="1785048788172" duration="4573000" />
      <workItem from="1785121298680" duration="2555000" />
      <workItem from="1785311137688" duration="1015000" />
    </task>
    <task id="LOCAL-00001" summary="1、修改算子运算结果后入库BUG&#10;2、根据设备ID获取设备IP、设备厂商、设备名称 信息补全标准化表&#10;3、完善告警表字段内容：syslog_normal_alarm: http_url -&gt;alarm: victim_web_url">
      <created>1769412046230</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1769412046230</updated>
    </task>
    <task id="LOCAL-00002" summary="关联分析规则-数据降噪">
      <created>1773828025958</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1773828025958</updated>
    </task>
    <task id="LOCAL-00003" summary="1、新增降噪日志数据健康监测告警&#10;2、IP联动封禁功能完善">
      <created>1778061299312</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1778061299312</updated>
    </task>
    <option name="localTasksCounter" value="4" />
    <servers />
  </component>
  <component name="TestHistory">
    <history-entry file="DeviceDeviceTest - 2026.05.22 at 22h 28m 11s.xml">
      <configuration name="DeviceDeviceTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="DeviceDeviceTest - 2026.05.22 at 22h 31m 27s.xml">
      <configuration name="DeviceDeviceTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="DeviceDeviceTest - 2026.05.22 at 22h 33m 24s.xml">
      <configuration name="DeviceDeviceTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="DeviceDeviceTest - 2026.05.22 at 22h 34m 53s.xml">
      <configuration name="DeviceDeviceTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="DeviceDeviceTest - 2026.05.22 at 22h 35m 44s.xml">
      <configuration name="DeviceDeviceTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="DeviceDeviceTest - 2026.05.22 at 22h 37m 08s.xml">
      <configuration name="DeviceDeviceTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="DeviceDeviceTest - 2026.05.22 at 22h 38m 03s.xml">
      <configuration name="DeviceDeviceTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="DeviceDeviceTest - 2026.05.22 at 22h 48m 32s.xml">
      <configuration name="DeviceDeviceTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="DeviceDeviceTest - 2026.05.22 at 22h 49m 37s.xml">
      <configuration name="DeviceDeviceTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="DeviceDeviceTest - 2026.05.22 at 22h 51m 24s.xml">
      <configuration name="DeviceDeviceTest" configurationId="JUnit" />
    </history-entry>
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="870008000" />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1936" height="1048" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info active="true" content_ui="combo" x="2058" y="127" width="479" height="485" id="Project" order="0" sideWeight="0.7275542" visible="true" weight="0.26599148" />
      <window_info id="Structure" order="1" sideWeight="0.4136253" side_tool="true" weight="0.2553305" />
      <window_info id="Designer" order="2" />
      <window_info id="Image Layers" order="3" />
      <window_info id="UI Designer" order="4" />
      <window_info id="Favorites" order="5" sideWeight="0.27244583" side_tool="true" weight="0.2739872" />
      <window_info id="Capture Tool" order="6" />
      <window_info id="Web" order="7" sideWeight="0.4136253" side_tool="true" weight="0.2553305" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.32932165" />
      <window_info anchor="bottom" id="Run" order="2" sideWeight="0.69402987" visible="true" weight="0.37199125" />
      <window_info anchor="bottom" id="Debug" order="3" sideWeight="0.7153518" weight="0.3785558" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" sideWeight="0.49733475" weight="0.32932165" />
      <window_info anchor="bottom" id="Spring" order="7" sideWeight="0.4978678" weight="0.32932165" />
      <window_info anchor="bottom" id="Terminal" order="8" sideWeight="0.4978678" weight="0.32932165" />
      <window_info anchor="bottom" id="Event Log" order="9" sideWeight="0.30597016" side_tool="true" weight="0.34245077" />
      <window_info anchor="bottom" id="Java Enterprise" order="10" sideWeight="0.49733475" weight="0.32932165" />
      <window_info anchor="bottom" id="Database Changes" order="11" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" order="12" sideWeight="0.49733475" weight="0.58862144" />
      <window_info anchor="bottom" id="Messages" order="13" sideWeight="0.4946695" weight="0.34135666" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Palette" order="3" />
      <window_info anchor="right" id="Capture Analysis" order="4" />
      <window_info anchor="right" id="Maven Projects" order="5" visible="true" weight="0.19989339" />
      <window_info anchor="right" id="Database" order="6" weight="0.32995737" />
      <window_info anchor="right" id="Palette&#9;" order="7" />
      <window_info anchor="right" id="Theme Preview" order="8" />
      <window_info anchor="right" id="Bean Validation" order="9" weight="0.32995737" />
      <window_info anchor="right" id="Coverage" order="10" side_tool="true" weight="0.32995737" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="Vcs.Log.History.Properties">
    <option name="COLUMN_ORDER">
      <list>
        <option value="0" />
        <option value="2" />
        <option value="3" />
        <option value="1" />
      </list>
    </option>
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State>
              <option name="RECENTLY_FILTERED_USER_GROUPS">
                <collection />
              </option>
              <option name="RECENTLY_FILTERED_BRANCH_GROUPS">
                <collection />
              </option>
              <option name="COLUMN_ORDER">
                <list>
                  <option value="0" />
                  <option value="1" />
                  <option value="2" />
                  <option value="3" />
                </list>
              </option>
            </State>
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="1、修改算子运算结果后入库BUG&#10;2、根据设备ID获取设备IP、设备厂商、设备名称 信息补全标准化表&#10;3、完善告警表字段内容：syslog_normal_alarm: http_url -&gt;alarm: victim_web_url" />
    <MESSAGE value="关联分析规则-数据降噪" />
    <MESSAGE value="1、新增降噪日志数据健康监测告警&#10;2、IP联动封禁功能完善" />
    <option name="LAST_COMMIT_MESSAGE" value="1、新增降噪日志数据健康监测告警&#10;2、IP联动封禁功能完善" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/syslog-serve/src/main/java/com/common/controller/BlacklistController.java</url>
          <line>19</line>
          <properties />
          <option name="timeStamp" value="3" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/syslog-serve/src/main/java/com/haobang/util/Sm4Util.java</url>
          <line>116</line>
          <properties />
          <option name="timeStamp" value="4" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/syslog-serve/src/main/java/com/haobang/interlocking/InterlockingService.java</url>
          <line>84</line>
          <properties />
          <option name="timeStamp" value="6" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/syslog-serve/src/main/java/com/haobang/firewall/FirewallApiClient.java</url>
          <line>218</line>
          <properties />
          <option name="timeStamp" value="9" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/syslog-serve/src/main/java/com/haobang/interlocking/InterlockingService.java</url>
          <line>120</line>
          <properties />
          <option name="timeStamp" value="22" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
  <component name="antWorkspaceConfiguration">
    <option name="IS_AUTOSCROLL_TO_SOURCE" value="false" />
    <option name="FILTER_TARGETS" value="false" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/syslog-serve/src/main/java/com/common/controller/DeviceCollectTaskController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="132">
          <caret line="11" column="13" selection-start-line="11" selection-start-column="13" selection-end-line="11" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-serve/src/main/java/com/common/controller/CacheController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="110">
          <caret line="8" column="13" selection-start-line="8" selection-start-column="13" selection-end-line="8" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-serve/src/main/java/com/common/controller/DeviceDeviceController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="638">
          <caret line="36" column="64" selection-start-line="36" selection-start-column="64" selection-end-line="36" selection-end-column="64" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-serve/src/main/java/com/common/service/BlacklistApiService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="88">
          <caret line="13" column="13" selection-start-line="13" selection-start-column="13" selection-end-line="13" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer-rule/src/main/java/com/Modules/NormalData/LogNormalProcessor.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1738">
          <caret line="98" column="31" selection-start-line="98" selection-start-column="31" selection-end-line="98" selection-end-column="31" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer-rule/src/main/java/com/config/AppProperties.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="748">
          <caret line="36" selection-start-line="36" selection-end-line="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-serve/src/main/java/com/haobang/interlocking/ProbeHeartbeatClient.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="308">
          <caret line="127" column="22" selection-start-line="127" selection-start-column="15" selection-end-line="127" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/resources/application-dev.properties">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer-rule/src/main/java/com/Modules/NormalData/SysLogProcessor.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="5632">
          <caret line="285" column="37" selection-start-line="285" selection-start-column="37" selection-end-line="285" selection-end-column="37" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/controllers/SyslogController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1870">
          <caret line="104" column="75" selection-start-line="104" selection-start-column="75" selection-end-line="104" selection-end-column="75" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/InfluxSyslogService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1936">
          <caret line="102" column="9" selection-start-line="102" selection-start-column="9" selection-end-line="102" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/resources/mapper/SyslogNormalAlarmMapper.xml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/resources/mapper/SyslogNormalDataMapper.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2464">
          <caret line="112" column="21" selection-start-line="112" selection-start-column="21" selection-end-line="112" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/schedule/ETLOrchestrator.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="440">
          <caret line="32" column="53" selection-start-line="32" selection-start-column="53" selection-end-line="32" selection-end-column="53" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/SqlGeneratorService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="198">
          <caret line="10" column="17" selection-start-line="10" selection-start-column="17" selection-end-line="10" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/schedule/AlarmHealthCheckScheduler.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="198">
          <caret line="14" column="13" selection-start-line="14" selection-start-column="13" selection-end-line="14" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/schedule/OfflineAnalysisScheduler.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="198">
          <caret line="17" column="13" selection-start-line="17" selection-start-column="13" selection-end-line="17" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/influx/InfluxDBClient.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3762">
          <caret line="189" column="37" selection-start-line="189" selection-start-column="37" selection-end-line="189" selection-end-column="37" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/impl/SqlGeneratorServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="286">
          <caret line="26" column="13" selection-start-line="26" selection-start-column="13" selection-end-line="26" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/impl/RealtimeAnalysisEngineDm.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="550">
          <caret line="36" column="92" selection-start-line="36" selection-start-column="92" selection-end-line="36" selection-end-column="92" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/mapper/AnalysisAnalysisRuleMapper.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="682">
          <caret line="36" column="19" selection-start-line="36" selection-start-column="19" selection-end-line="36" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/resources/mapper/DmNormalizeRuleMapper.xml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/resources/mybatis-config.xml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/resources/logback.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="836">
          <caret line="38" column="16" selection-start-line="38" selection-start-column="16" selection-end-line="38" selection-end-column="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/resources/mybatis-config-dev.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="352">
          <caret line="16" column="49" selection-start-line="16" selection-start-column="49" selection-end-line="16" selection-end-column="49" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/resources/mapper/AnalysisAnalysisRuleMapper.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="572">
          <caret line="47" column="47" selection-start-line="47" selection-start-column="47" selection-end-line="47" selection-end-column="47" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer-rule/src/main/resources/application-test.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="330">
          <caret line="15" column="26" selection-start-line="15" selection-start-column="26" selection-end-line="15" selection-end-column="26" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer-rule/src/main/resources/application-prod-zc.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="841">
          <caret line="40" column="43" selection-start-line="40" selection-start-column="43" selection-end-line="40" selection-end-column="43" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer-rule/src/main/resources/application.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="308">
          <caret line="14" column="19" selection-start-line="14" selection-start-column="19" selection-end-line="14" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer-rule/src/main/resources/application-dev.properties">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer-rule/src/main/resources/application-pre-nw.properties">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer-rule/src/main/resources/application-prod.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="308">
          <caret line="14" selection-start-line="14" selection-end-line="14" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-serve/src/main/resources/application-prod-zc.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="242">
          <caret line="11" column="30" selection-start-line="11" selection-start-column="24" selection-end-line="11" selection-end-column="30" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/docker-compose/docker-compose-consumer-prod.yaml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="682">
          <caret line="31" selection-start-line="31" selection-end-line="33" selection-end-column="31" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/docker-compose/docker-compose-consumer-nw.yaml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="814">
          <caret line="37" selection-start-line="37" selection-end-line="39" selection-end-column="31" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer-rule/docker-compose/docker-compose-consumer-prod.yaml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="528">
          <caret line="24" column="33" selection-start-line="24" selection-start-column="33" selection-end-line="24" selection-end-column="33" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-serve/src/main/resources/application.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="242">
          <caret line="11" column="30" selection-start-line="11" selection-start-column="30" selection-end-line="11" selection-end-column="30" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-serve/docker-compose/docker-compose-serve-prod.yaml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="638">
          <caret line="29" column="67" selection-start-line="29" selection-start-column="67" selection-end-line="29" selection-end-column="67" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-serve/docker-compose/docker-compose-serve.yaml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/kafka/kafkalogconsumer.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="66">
          <caret line="27" column="13" selection-start-line="27" selection-start-column="13" selection-end-line="27" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/schedule/RealtimeAnalysisScheduler.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1452">
          <caret line="84" column="75" selection-start-line="84" selection-start-column="75" selection-end-line="84" selection-end-column="75" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/impl/RuleExecutionTimeServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="572">
          <caret line="38" column="24" selection-start-line="38" selection-start-column="24" selection-end-line="38" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-serve/src/main/resources/application-dev.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="946">
          <caret line="43" column="43" selection-start-line="43" selection-start-column="27" selection-end-line="43" selection-end-column="43" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer-rule/docker-compose/docker-compose-consumer-rule-prod.yaml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/docker-compose/docker-compose-consumer.yaml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="836">
          <caret line="38" column="30" selection-start-line="38" selection-start-column="30" selection-end-line="38" selection-end-column="30" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/AccessLogAlertService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="9086">
          <caret line="444" column="43" selection-start-line="444" selection-start-column="43" selection-end-line="444" selection-end-column="43" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-serve/src/main/resources/application-prod.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="506">
          <caret line="23" column="7" selection-start-line="23" selection-start-column="7" selection-end-line="23" selection-end-column="7" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/impl/OfflineAnalysisEngine.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="181">
          <caret line="20" column="13" selection-start-line="20" selection-start-column="13" selection-end-line="20" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/java/com/common/service/impl/RealtimeAnalysisEngine.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="406">
          <caret line="178" column="47" lean-forward="true" selection-start-line="178" selection-start-column="47" selection-end-line="178" selection-end-column="47" />
          <folding>
            <element signature="e#9930#9931#0" expanded="true" />
            <element signature="e#9961#9962#0" expanded="true" />
            <element signature="e#27830#27860#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/resources/application-prod.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="594">
          <caret line="42" column="53" selection-start-line="42" selection-start-column="53" selection-end-line="42" selection-end-column="53" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/syslog-consumer/src/main/resources/application.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="413">
          <caret line="146" lean-forward="true" selection-start-line="146" selection-end-line="146" />
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ProjectJDKs.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>